Subject: bug#47911: Improving the package outputs UI

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 21 Apr 2021 00:05:05 +0200

Leo Famulari writes:
> Another idea I had is to make Guix accept the concatenation of
> packagename-output in the UI.

I'm firmly against this (but read on :-)

>
> For example, `guix install git-send-email`, instead of 
> `git:send-email`.
>
> But maybe that is going too far, I'm not sure.

I think it is, but the intention is good.

Instead, Guix could suggest (‘did you mean...?’) like it does for 
commands.

  ~ λ guix install git-send-email
  guix install: error: git-send-email: unknown package
  hint: Did you mean one of:
  git:send-email

Kind regards,

T G-R